> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/challenge/user-interface/android/get-started.md).

# Get started

## **Prerequisite**

Before starting DriveKit Challenge UI integration, make sure that you have initialized [Challenge](/challenge/android/get-started.md) and [Common UI](/common-ui/android/get-started.md) components.

## **Integration**

To add Challenge UI module to your app, add the following line to your dependencies in your application build.gradle file:

```gradle
dependencies {
    implementation 'com.drivequant.drivekit:drivekit-challenge-ui:$drivekitui_version'
}
```

{% hint style="info" %}
Replace `$drivekitui_version` with the DriveKit version you are using in your app
{% endhint %}

{% hint style="info" %}
On [this Github repository](https://github.com/DriveQuantPublic/drivekit-ui-android), you can find also a demo application that contains the DriveKit challenge component. This code is open source and you can use it as an example.
{% endhint %}

## Initialization

If you have [disabled the SDK auto-initialization](/get-started-drivekit/android/advanced-configurations.md#manually-initialize-the-sdk), the Challenge UI module must also be manually initialized.

Then, to initialize the module in your app, you must call the initialization method in `onCreate` method of your Application class:

{% tabs %}
{% tab title="ChallengeUI" %}

```kotlin
fun initialize()
```

{% endtab %}
{% endtabs %}

## **Display Challenge list**

To be able to get the list of Challenge in your application, you need to use this following method:

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
ChallengeUI.startChallengeActivity(context: Context)
```

{% endtab %}

{% tab title="Java" %}

```
ChallengeUI.INSTANCE.startChallengeActivity(Context context);
```

{% endtab %}
{% endtabs %}

This method will automatically synchronize challenge data and start a new activity with our default implementation.

You can also use the challenge list fragment

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
ChallengeUI.createChallengeListFragment()
```

{% endtab %}

{% tab title="Java" %}

```
ChallengeUI.INSTANCE.createChallengeListFragment();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.drivequant.com/challenge/user-interface/android/get-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
